.TH TTIME 3 "November 14, 1995" "Release 6.1" "LAM LOCAL LIBRARY"
.SH NAME
ttime \- Get LAM timer value in seconds.
.SH C SYNOPSIS
.nf
#include <net.h>

double ttime ();
.fi
.SH FORTRAN SYNOPSIS
double precision FTTIME()
.SH DESCRIPTION
The
.I ttime()
function enables a program running on any LAM node to read the
current value of the system timer in a portable fashion.
This is useful for measuring execution times of program sections.
.I ttime()
returns the timer value in seconds as a double precision
floating point number.
.SH EXAMPLE
.RS
.nf
.ta 1.5i
#include <stdio.h>
#include <net.h>

double	time, start, end;

start = ttime();
my_sub();
end = ttime();
time = end - start;
printf("my_sub took: %f seconds to execute\\n", time);
.fi
.RE
.SH BUGS
The resolution of the measurements is bound by that of the
underlying system timer used.
